# List labels at repo level

Endpoint: GET /code/api/v1/repos/{repo_identifier}/labels
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `page` (integer)
    The page to return.

  - `limit` (integer)
    The maximum number of results to return.

  - `inherited` (boolean)
    The result should inherit entities from parent spaces.

  - `query` (string)
    The substring which is used to filter the labels by their key.

## Path parameters:

  - `repo_identifier` (string, required)

## Response 200 fields (application/json):

  - `color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `created` (integer)

  - `created_by` (integer)

  - `description` (string)

  - `id` (integer)

  - `key` (string)

  - `pullreq_count` (integer)

  - `repo_id` (integer,null)

  - `scope` (integer)

  - `space_id` (integer,null)

  - `type` (string)
    Enum: "dynamic", "static"

  - `updated` (integer)

  - `updated_by` (integer)

  - `value_count` (integer)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


